Support #1019

[calculate-sources]: !minimal? ( dev-util/pkgconfig )

Added by Фёдор Ратиев 2 months ago. Updated about 1 month ago.

Status:Resolved Start:09/07/2017
Priority:Normal Due date:
Assignee:- % Done:

0%

Category:Calculate Linux Spent time: -
Target version:-
Votes: 0

Description

Я использую dev-util/pkgconf.
Просьба заменить зависимость !minimal? ( dev-util/pkgconfig ) на !minimal? ( virtual/pkgconfig )

History

Updated by Фёдор Ратиев 2 months ago

Вот такой косяк вылазиет

[ebuild     U  ] sys-apps/file-5.31::gentoo [5.30::gentoo] USE="python -static-libs zlib" ABI_X86="-32 (64) (-x32)" PYTHON_TARGETS="(-pypy) python2_7 python3_4 (-python3_5) (-python3_6)" 774 KiB
[ebuild     U  ] dev-lang/ruby-2.2.7-r4:2.2::gentoo [2.2.6:2.2::gentoo] USE="berkdb -debug -doc -examples gdbm -ipv6 -jemalloc (-libressl) -ncurses -rdoc readline -rubytests -socks5 ssl -tk -xemacs" 10268 KiB
[ebuild     U  ] dev-ruby/json-1.8.6-r1::gentoo [1.8.3::gentoo] USE="-doc {-test}" RUBY_TARGETS="ruby22 (-ruby23) (-ruby24)" 141 KiB
[ebuild  N     ] dev-util/pkgconfig-0.28-r2::gentoo  USE="-hardened -internal-glib" ABI_X86="-32 (64) (-x32)" 0 KiB
[uninstall     ] dev-util/pkgconf-0.9.12::gentoo  USE="pkg-config -strict" ABI_X86="-32 (64) (-x32)" 
[blocks b      ] dev-util/pkgconfig ("dev-util/pkgconfig" is blocking dev-util/pkgconf-0.9.12)
[blocks b      ] dev-util/pkgconf[pkg-config] ("dev-util/pkgconf[pkg-config]" is blocking dev-util/pkgconfig-0.28-r2)
[ebuild     U  ] dev-libs/nss-3.32.1::gentoo [3.32::gentoo] USE="-cacert nss-pem -utils" ABI_X86="-32 (64) (-x32)" 9273 KiB
[ebuild     U  ] net-dns/dnsmasq-2.77-r1::gentoo [2.77::gentoo] USE="-auth-dns -conntrack dbus dhcp -dhcp-tools -dnssec id idn inotify -ipv6 (-libidn2) -lua -nls script (-selinux) -static -tftp" LINGUAS="-de -es -fi -fr -id -it -no -pl -pt_BR -ro" 0 KiB
[ebuild     U  ] net-analyzer/tcpdump-4.9.2::gentoo [4.9.1::gentoo] USE="drop-root (-libressl) samba smi ssl -suid {-test}" 2245 KiB
[ebuild  NS    ] sys-kernel/calculate-sources-4.9.47:4.9.47::calculate [4.9.34:4.9.34::calculate] USE="-build -firmware -grub -minimal symlink themes -vmlinuz" 91924 KiB
[ebuild     U  ] www-plugins/adobe-flash-27.0.0.130:22::gentoo [26.0.0.151:22::gentoo] USE="nsplugin -ppapi" ABI_X86="-32 64 (-x32)" 8814 KiB
[ebuild     U  ] sys-power/cpupower-4.9.0-r1::gentoo [3.18::gentoo] USE="-cpufreq_bench -debug nls" 67 KiB
 * 10 пакетов будет установлено, 123502 KiB будет загружено

Updated by Фёдор Ратиев 2 months ago

Нахрен мне нужен pkgconfig с glib, когда я могу юзать pkgconf?

Updated by Mikhail Hiretsky about 1 month ago

Исправления внесены в eclass

Updated by Mikhail Hiretsky about 1 month ago

  • Status changed from New to Resolved

Also available in: Atom PDF

Thank you!